export declare const STATUS: {
    ERROR: string;
    IDLE: string;
    INIT: string;
    READY: string;
    RUNNING: string;
    UNSUPPORTED: string;
};
export declare const TYPE: {
    DEVICE: string;
    FAVORITE: string;
    PLAYER: string;
    PROGRESS: string;
    STATUS: string;
    TRACK: string;
};
/**
 * Load spotify web playback sdk - no need for the user to add it to the html file.
 */
export declare function loadSpotifyPlayer(): Promise<any>;
/**
 * Check if given uri is an valid spotify uri
 */
export declare function validateURI(uri: string): boolean;
export declare function isNumber(value: unknown): value is number;
export declare function parseVolume(value?: unknown): number;
/**
 * Round decimal numbers
 */
export declare function round(number: number, digits?: number): number;
/**
 * Get spotify uri type
 */
export declare function getURIType(uri: string): string;
export declare function setDevice(token: string, deviceId: string, shouldPlay?: boolean | undefined): Promise<any>;
/**
 * Automatically destroyed interval.
 */
export declare function onInterval(callback: () => void, milliseconds: number): void;
/**
 * Converts milliseconds to min:sec string.
 */
export declare function msToMinSec(ms: number): string;
